%global _empty_manifest_terminate_build 0
Name:		python-argon2-cffi
Version:	20.1.0
Release:	2
Summary:	The secure Argon2 password hashing algorithm.
License:	MIT
URL:		https://argon2-cffi.readthedocs.io/
Source0:	https://files.pythonhosted.org/packages/74/fd/d78e003a79c453e8454197092fce9d1c6099445b7e7da0b04eb4fe1dbab7/argon2-cffi-20.1.0.tar.gz


%description
CFFI-based Argon2 Bindings for Python

%package -n python3-argon2-cffi
Summary:	The secure Argon2 password hashing algorithm.
Provides:	python-argon2-cffi
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
BuildRequires:	python3-cffi
BuildRequires:	gcc
%description -n python3-argon2-cffi
CFFI-based Argon2 Bindings for Python

%package help
Summary:	Development documents and examples for argon2-cffi
Provides:	python3-argon2-cffi-doc
%description help
CFFI-based Argon2 Bindings for Python

%prep
%autosetup -n argon2-cffi-20.1.0

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-argon2-cffi -f filelist.lst
%dir %{python3_sitearch}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Wed Aug 04 2021 chenyanpanHW <chenyanpan@huawei.com> - 20.1.0-2
- DESC: delete BuildRequires gdb

* Mon Jul 06 2020 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
